#include <boost/interprocess/managed_mapped_file.hpp>
#include <boost/interprocess/allocators/allocator.hpp>

using namespace boost::interprocess;

typedef offset_ptr<void , boost::int32_t, boost::uint64_t> compat32_offset_ptr;
typedef basic_managed_mapped_file
   <char
   ,rbtree_best_fit<mutex_family, compat32_offset_ptr>
   ,iset_index>
managed_mapped_file_with_windows_mutex;

typedef managed_mapped_file_with_windows_mutex::segment_manager	segment_manager_t;

int main()
{
	managed_mapped_file_with_windows_mutex _file(open_or_create, "c:\\ZZZ_test_bip.dat", 2000);
}